- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
lgamma
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Exponential and logarithmic functions

Logarithm of absolute values of Gamma function. More...

## Functions
AFAPI af_err | af_lgamma (af_array *out, const af_array in)
| C Interface for the logarithm of absolute values of gamma function. More...

## Detailed Description

Logarithm of absolute values of Gamma function.

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_lgamma | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for the logarithm of absolute values of gamma function.

Parameters

  [out] | out | will contain the result of logarithm of absolute values of gamma function of `in`
  [in] | in | is input

Returns
  AF_SUCCESS if the execution completes properly